CKEDITOR.plugins.add( 'read',
{
	init: function( editor )
	{
		editor.addCommand( 'readCommand',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[read]" + selected +"[/read]" );
			}
		});
		editor.ui.addButton( 'read',
		{
			label: 'عرض نص في إطار مع تغيير لون النص ولون خلفية النص عند كل عرض للموضوع',
			command: 'readCommand',
			icon: this.path + 'read.gif'
		});
	}
});